import { ElementRef, Renderer, AfterViewInit } from '@angular/core';
import { ProvidersService } from 'fccore2';
import { FcinputComponent } from '../fcinput';
/**
 * fc-textarea大文本框
 *
 * 通过鼠标或键盘输入内容，是最基础的表单域的包装。
 *
 * 需要用户输入表单域内容时。
 *
 * 提供组合型，带搜索的输入框，还可以进行大小选择。
 *
 */
export declare class FctextareaComponent extends FcinputComponent implements AfterViewInit {
    provider: ProvidersService;
    ref: ElementRef;
    renderer: Renderer;
    infocus: any;
    fcAutoFocus: string;
    /** 自动完成关闭联想输入*/
    fcAutoComplete: string;
    /**控制固定框的行数*/
    fcRow: string;
    _row: number;
    /**是否自适应内容高度*/
    fcAutosize: string;
    _Autosize: boolean;
    /**label字段名称*/
    fcLabelCode: string;
    _timeOut: boolean;
    /**value字段名称*/
    fcValueCode: string;
    /**联想输入数据*/
    _selectData: any[];
    constructor(provider: ProvidersService, ref: ElementRef, renderer: Renderer);
    ngAfterViewInit(): void;
    _afterParentInit(): void;
    _keyup(event: any): void;
    /**
   *
   * @param event {click}抛出点击事件
   */
    _click(event: any): void;
    /**
     * 联想查询
     * @param event
     */
    _searchRemoteValue(event: any): void;
}
